/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001-02 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.htmlcheck;

public interface HTMLCheckerConfig extends HTMLTagSets
{
  public abstract short getWordWrapLength();

  public abstract void setWordWrapLength(short val);

  public abstract boolean getRewrapLines();

  public abstract void setRewrapLines(boolean val);

  public abstract boolean getProcessAngles();

  public abstract void setProcessAngles(boolean val);

  public abstract boolean getProcessParens();

  public abstract void setProcessParens(boolean val);

  public abstract boolean getDiscardHTMLTags();

  public abstract void setDiscardHTMLTags(boolean val);

  public abstract boolean getDiscardRejectedHTML();

  public abstract void setDiscardRejectedHTML(boolean val);

  public abstract boolean getDiscardHTMLComments();

  public abstract void setDiscardHTMLComments(boolean val);

  public abstract boolean getDiscardXMLConstructs();

  public abstract void setDiscardXMLConstructs(boolean val);

  public abstract String getAnchorTail();

  public abstract void setAnchorTail(String s);

  public abstract void addOutputFilter(OutputFilter filter);

  public abstract void addRawOutputFilter(OutputFilter filter);

  public abstract void addStringRewriter(Rewriter rewriter);

  public abstract void addWordRewriter(Rewriter rewriter);

  public abstract void addTagRewriter(Rewriter rewriter);

  public abstract void addParenRewriter(Rewriter rewriter);

  public abstract boolean isTagSetAllowed(int setid);

  public abstract void allowTagSet(int setid);

  public abstract void disallowTagSet(int setid);

  public abstract void configureNormalTagSet();

  public abstract void configureRestrictedTagSet();

  public abstract HTMLChecker createHTMLChecker();

} // end interface HTMLCheckerConfig
